nenoDevelopers
⌘K
v1

Tasks

Retrieve a task

GET/tasks/{id}

Path parameters

idstring · uuidrequired

Responses

200
OK. The task.
400
Bad request. Malformed request.
401
Unauthorized. Missing, invalid, revoked, or expired API key.
403
Forbidden. The API key lacks a required scope or the creator lacks a required permission.
404
Not found. Resource not found (or not in this workspace).
429
Too many requests. Rate limit exceeded.
Request
curl https://api.neno.build/public/v1/tasks/9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9 \
-H "Authorization: Bearer $NENO_API_KEY"
200 OK · application/json
{
"id": "9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9",
"source": "accountant",
"key": "string",
"title": "Upload your Q3 bank statements",
"description": "Brand identity, phase 2",
"type": "file_upload",
"status": "open",
"responseData": "string",
"files": [
{
"id": "9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9",
"taskId": "9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9",
"filename": "string",
"contentType": "string",
"byteSize": 1,
"authorRole": "accountant",
"createdAt": "2026-09-24T09:30:00Z"
}
],
"submittedAt": "2026-09-24T09:30:00Z",
"completedAt": "2026-09-24T09:30:00Z",
"createdAt": "2026-09-24T09:30:00Z",
"updatedAt": "2026-09-24T09:30:00Z"
}